Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.soap
Class SOAPConnectionFactoryImpl

    java.lang.Object
      javax.xml.soap.SOAPConnectionFactory
          org.apache.axis.soap.SOAPConnectionFactoryImpl

public class SOAPConnectionFactoryImpl
extends SOAPConnectionFactory

SOAP Connection Factory implementation

Author:
  Davanum Srinivas (dims@yahoo.com)

Constructor Summary
`SOAPConnectionFactoryImpl()`

Method Summary
`SOAPConnection` | `createConnection()` Create a new `SOAPConnection`.

Methods inherited from class javax.xml.soap.SOAPConnectionFactory
`newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPConnectionFactoryImpl

    public SOAPConnectionFactoryImpl()

Method Detail

### createConnection

    public SOAPConnection createConnection()
                                    throws SOAPException

  Create a new `SOAPConnection`.

  Specified by:
    `createConnection` in class `SOAPConnectionFactory`
  Returns:
    the new `SOAPConnection` object.
  Throws:
    `SOAPException` - if there was an exception creating the `SOAPConnection` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.